post
https://api.aerocrs.com/v5/updateFlightRouting
This method will update / create routing for the requested flight
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Request parameters
| Parameter | Type | Description |
|---|---|---|
| flightnumber | Number* | Flight number |
| flightdate | Date* | Flight departure date |
| routeid | Number | Route internal code, If supplied - will update relevant route, if not - new route will be created. |
| equipment | String* | A/C registration name. |
| fromcode | String | Route From destination code (first destination) |
| tocode1 | String | Second destination code of the route |
| tocode2 | String | Third destination code of the route |
| tocode3 | String | Fourth destination code of the route |
| tocode4 | String | Fifth destination code of the route |
| tocode5 | String | Sixth destination code of the route |
| tocode6 | String | Seventh destination code of the route |
| tocode7 | String | Eighth destination code of the route |
| tocode8 | String | Ninth destination code of the route |
| tocode9 | String | Tenth destination code of the route |
| qty1 | Number | Quantity of passengers on leg 1 |
| qty2 | Number | Quantity of passengers on leg 2 |
| qty3 | Number | Quantity of passengers on leg 3 |
| qty4 | Number | Quantity of passengers on leg 4 |
| qty5 | Number | Quantity of passengers on leg 5 |
| qty6 | Number | Quantity of passengers on leg 6 |
| qty7 | Number | Quantity of passengers on leg 7 |
| qty8 | Number | Quantity of passengers on leg 8 |
| qty9 | Number | Quantity of passengers on leg 9 |
| additionalCrew | String | Crew information |
| fuel | String | Fuel information |
| remark | String | Remarks for flight |
| pic | String | Pilot in command name as it listed in the system |
| sic | String | Second in command name as it listed in the system |
| fa1 | String | Flight attendant name as it listed in the system |
| fa2 | String | Flight attendant name as it listed in the system |
| fa3 | String | Flight attendant name as it listed in the system |
| fa4 | String | Flight attendant name as it listed in the system |
| tc | String | Technical aid name as it listed in the system |
- Mandatory parameters
Update RouteWhen performing an update it is recommended to send all parameters, if a parameters is not supplied- its former value (if exists) will be deleted.
Response
The method will respond with "success" true if the route was successfully updated/created.
| Parameter | Type | Description |
|---|---|---|
| routeid | Number | Route internal code |

